# BlogAMore

**Blogging and more**, ein einfaches Theme für Hugo, mit dem einfach Blogging-Webseiten erstellt werden können und noch weitere Webseiten mit dargestellt werden.

Dieses Theme wurde für meine eigene Webseite entworfen und dort verwendet.

**Features:**

- Responsive design
- Seitenleiste

## Installation

In deinen Projektverzeichnis nachfolgenden Befehl ausführen:

```bash
git clone https://gitea.marcodn.de/mdn/blogamore.git themes/blogamore
```

Wenn Sie keine größeren Änderungen planen, aber das Thema verfolgen und aktualisieren möchten, können Sie es als git
Submodul mit dem folgenden Befehl hinzufügen:

```bash
git submodule add https://gitea.marcodn.de/mdn/blogamore.git themes/blogamore
```

Als nächstes öffnen Sie `config.toml` in der Basis der Hugo-Site und stellen sicher, dass die Theme-Option auf `BlogAMore` gesetzt ist:

```bash
theme = "BlogAMore"
```

## Konfiguration

### config.toml Beispiel

```toml
baseURL = '/'
languageCode = 'de-DE'
title = 'Blogging and more'
paginate = 12
theme = "BlogAMore"

[taxonomies]
  tag = "tags"
  category = "categories"
  # Weitere Kategorien die benötigt werden
  mood = "moods"

[markup]
  [markup.highlight]
    noClasses = false 

[permalinks]
  # Blog immer über Jahreszahl gruppieren
  blog = "/blog/:year/:slug"

[Params]
  # Beschreibung das Webseitenbesitzers, für die Seitenleiste
  avatar = "/img/author.jpg"
  author = "Beispiel Autor"
  description = "Eine Beschreibung des Autors, als kurze Zusammenfassung"

  # Zusätzliche CSS und JS-Dateien
  custom_css = []
  custom_js = []

[Params.Blog]
  # Definition der Taxonomie an der Seitenleiste dargestellt werden sollen
  tags = "tags"
  categories = "categories"

[Params.Social]
  # Links zur erreichbarkeit des Autors
  Email         = "email@example.com"
  Phone         = "+49 (0) 1234 56789"
  VoIP          = "main_kontakt@main_voip_anbieter.de"
  Github        = "username"
  Twitter       = "username"
  LinkedIn      = "username"
  matrix        = "@mdn:synapse.marcodn.de"
  RSS           = "/blog/index.xml"

[menu]
  # Definition des Hauptmenüs (Die Icons sind via Pre definiert, hierbei wird [FeatherIcons](https://feathericons.com) verwendet)
  [[menu.main]]
    name = "Posts"
    pre = "pen-tool"
    url = "/posts/"
    weight = 100
  [[menu.main]]
    name = "Blog"
    pre = "pen-tool"
    url = "/blog/"
    weight = 200
  [[menu.main]]
    name = "Tags"
    pre = "tag"
    url = "/tags/"
    weight = 300
```

**Kopieren Sie die Beispielkonfiguration nicht in der vorliegenden Form**. Verwenden Sie nur die Parameter, die Sie benötigen.

Für weitere Informationen über alle verfügbaren Standardkonfigurationseinstellungen lesen Sie bitte [Alle Hugo-Konfigurationseinstellungen](https://gohugo.io/getting-started/configuration/#all-configuration-settings).

### Dateiaufbau

> cooming soon...

### Beispiele für die Hauptseite

> cooming soon...

### Beispiel für einen Blogeintrag

```yaml
---
title: "Beispiel Eintrag"
date: 2019-11-07T19:28:01+01:00
publishDate: 2019-11-10
lastmod: 2019-12-06
draft: true
featured: true
author: "mdn"
slug: "first" # Definition des Dateinamens
tags: [ "tag1" ]
categories: [ "cat1" ]
---

hier die Zusammenfassung

<!--more-->

Und hier der weitere Artikel
```

Hierfür kann auch die Vorlage für [Blog](https://gitea.marcodn.de/mdn/blogamore/src/branch/main/archetypes/blog.md) verwendet werden.

## Weiteres

Haben Sie einen Fehler gefunden oder eine Idee für ein neues Feature? Schicken Sie mir bitte eine Mail an ... Oder erstellen Sie direkt einen [Pull Request](https://gitea.marcodn.de/mdn/blogamore/pulls) 

## Lizenz

Diese Thema ist unter der [LGPLv3 Lizenz ](https://gitea.marcodn.de/mdn/blogamore/src/branch/main/LICENSE) freigegeben.
